---
title: Invite member
url: https://www.tines.com/docs/api/teams/invite-member/
updated: 2025-06-27T21:54:26+00:00
description: Invite a user to join a team
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Teams](https://www.tines.com/llm/docs/api/teams.md)*

# Invite member

*[View on tines.com](https://www.tines.com/docs/api/teams/invite-member/)*

## Description

Invite a user to join a team

## Request

HTTP Method: **POST**

| Path Parameter | Description    |
| -------------- | -------------- |
| team_id        | ID of the team |

| Query Parameter | Description                                                                                                                                            |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| email           | Email address of the user                                                                                                                              |
| user_id         | **optional** ID of an existing user in the Tines tenant                                                                                                |
| role            | **optional** Which [role](https://www.tines.com/docs/admin/teams#team-roles) the user should have on the team. Supports both default and custom roles. |

**`user_id` or `email` must be provided but not both.**

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/teams/<<team_id>>/invite_member \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
        "email": "user@example.com"
      }'
```

## Response

A successful request will return a JSON object representing the invited user.

### Field description

| Parameter           | Description                                                                   |
| ------------------- | ----------------------------------------------------------------------------- |
| id                  | User ID.                                                                      |
| email               | User email.                                                                   |
| first_name          | User first name.                                                              |
| last_name           | User last name.                                                               |
| is_admin            | Boolean flag indicating whether user is an admin.                             |
| created_at          | Timestamp describing when the user was created.                               |
| last_seen           | Timestamp describing when the user was last seen in the platform.             |
| invitation_accepted | Boolean flag indicating if the user accepted the invitation to join the team. |
| role                | The user’s role on the team.                                                  |

### Sample response

```json
{
  "id": 2,
  "first_name": "First name",
  "last_name": "Last name",
  "email": "user@example.com",
  "is_admin": false,
  "created_at": "2021-04-30T09:12:40Z",
  "last_seen": null,
  "invitation_accepted": false,
  "role": "VIEWER"
}
```
